| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
FSI_Kernel Class Reference

`#include <FSI_Kernel.h>`

## Public Member Functions
| FSI_Kernel ()
| FSI_Kernel (long kernel_width, long kernel_power)
| Calculates a reciprocal space interpolation lookup table. More...
long | width ()
long | half_width ()
long | divisions ()
double | operator[] (long i) const
void | show ()

## Detailed Description

Definition at line 14 of file FSI_Kernel.h.

## Constructor & Destructor Documentation

## ◆ FSI_Kernel() [1/2]

FSI_Kernel::FSI_Kernel | ( |  | ) |
| inline

Definition at line 22 of file FSI_Kernel.h.

## ◆ FSI_Kernel() [2/2]

FSI_Kernel::FSI_Kernel | ( | long | kernel_width,
|  | long | kernel_power
| ) |  |
| inline

Calculates a reciprocal space interpolation lookup table.

Parameters

  kernel_width | table width.
  kernel_power | interpolation power.

Returns
  FSI_Kernel* new lookup table.

Definition at line 29 of file FSI_Kernel.h.

## Member Function Documentation

## ◆ divisions()

long FSI_Kernel::divisions | ( |  | ) |
| inline

Definition at line 72 of file FSI_Kernel.h.

## ◆ half_width()

long FSI_Kernel::half_width | ( |  | ) |
| inline

Definition at line 71 of file FSI_Kernel.h.

## ◆ operator[]()

double FSI_Kernel::operator[] | ( | long | i | ) | const
| inline

Definition at line 73 of file FSI_Kernel.h.

## ◆ show()

void FSI_Kernel::show | ( |  | ) |
| inline

Definition at line 74 of file FSI_Kernel.h.

## ◆ width()

long FSI_Kernel::width | ( |  | ) |
| inline

Definition at line 70 of file FSI_Kernel.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/FSI_Kernel.h